public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ian Delaney" <idella4@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/qutim/
Date: Mon, 24 Aug 2015 10:21:08 +0000 (UTC)	[thread overview]
Message-ID: <1440411657.f7eb1c2cb7dfcdbc2243d44399e681e858efea2c.idella4@gentoo> (raw)

commit:     f7eb1c2cb7dfcdbc2243d44399e681e858efea2c
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 24 10:20:11 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Mon Aug 24 10:20:57 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7eb1c2c

net-im/qutimbump: bump; patch release from full tarball

Bug #557986, ebuild by maintainer

Package-Manager: portage-2.2.20

 net-im/qutim/Manifest              |   1 +
 net-im/qutim/qutim-0.3.3_p1.ebuild | 189 +++++++++++++++++++++++++++++++++++++
 2 files changed, 190 insertions(+)

diff --git a/net-im/qutim/Manifest b/net-im/qutim/Manifest
index 932c79f..316ed6a 100644
--- a/net-im/qutim/Manifest
+++ b/net-im/qutim/Manifest
@@ -1 +1,2 @@
 DIST qutim-0.3.2.tar.xz 10232436 SHA256 326bd4048cdee2913b6a01900d15736c54b431b4ec1a11c88e567920c2948849 SHA512 0767552e31d6e999f6622f14a48e2da7f4497b4a958550189dce38709689cb5f12e9b91a55b5d94d1a24f3e8149cf8453dea56b7e5a8c1758a6579c4142f01cb WHIRLPOOL dac2bb0c43e4bc195c2374aa885ae8174317eccb8e02d011902f4416b3808bf598507e1c74668f1ff04a53bd828d8695c93cc83e04342fdb92688b44236eb2a5
+DIST qutim-0.3.3.p_1.tar.xz 8708952 SHA256 945dc03d25ccd985b8c0d0d4ef2c98e3731428135c60df4a0deaf9c9b1a8f2e3 SHA512 658c0d114a6771cd7ae9f3090e6ab6deba8e92465b9cd966d7ab4d4626dbb7335a712d7c0f64c886d7bcb7a3fbcd0b18398946a366ec1e150a9e2ae5e4e638e9 WHIRLPOOL 05c3360134fd41f8dabad232cef42db2222f1973bee32dcf02d1784634b6c0163066f739c15c7ad1b46af9a8f9b0d90b9e4e9cf79f72f6f754af2f50b95f8d5c

diff --git a/net-im/qutim/qutim-0.3.3_p1.ebuild b/net-im/qutim/qutim-0.3.3_p1.ebuild
new file mode 100644
index 0000000..d1cf922
--- /dev/null
+++ b/net-im/qutim/qutim-0.3.3_p1.ebuild
@@ -0,0 +1,189 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+LANGS="ar be bg cs de en_GB es fr he nds ru sk uk uz zh_CN"
+
+inherit qt4-r2 cmake-utils
+
+MY_PV="${PV/_p/.p_}"
+DESCRIPTION="Qt4-based multi-protocol instant messenger"
+HOMEPAGE="http://www.qutim.org"
+SRC_URI="http://www.qutim.org/dwnl/80/${PN}-${MY_PV}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# general USE
+IUSE="doc +sound tools"
+# protocol uses
+IUSE="$IUSE telepathy irc xmpp jingle mrim oscar purple vkontakte"
+# plugins
+IUSE="$IUSE antiboss aspell ayatana awn crypt dbus debug -espionage histman hunspell
+	kde mobility otr plugman phonon purple qml sdl +ssl +xscreensaver webkit"
+
+REQUIRED_USE="
+	oscar? ( ssl )
+	jingle? ( xmpp )
+	qml? ( webkit )
+"
+
+# Minimum Qt version required
+QT_PV="4.7.0:4"
+
+CDEPEND="
+	x11-libs/libqxt
+	>=dev-qt/qtcore-${QT_PV}[ssl?]
+	>=dev-qt/qtgui-${QT_PV}
+	>=dev-qt/qtscript-${QT_PV}
+	>=dev-qt/qtdeclarative-${QT_PV}
+
+	telepathy? ( >=net-libs/telepathy-qt-0.3 )
+	xmpp? (
+		app-crypt/qca:2[qt4(+)]
+		>=net-libs/jreen-1.2.0
+	)
+	jingle? ( dev-qt/qt-mobility[multimedia] )
+	oscar? ( app-crypt/qca:2[qt4(+)] )
+	purple? ( net-im/pidgin )
+	vkontakte? ( >=dev-qt/qtwebkit-${QT_PV} )
+
+	aspell? ( app-text/aspell )
+	awn? ( >=dev-qt/qtdbus-${QT_PV} )
+	crypt? ( app-crypt/qca:2[qt4(+)] )
+	dbus? ( >=dev-qt/qtdbus-${QT_PV} )
+	espionage? ( app-crypt/qca:2[qt4(+)] )
+	histman? ( >=dev-qt/qtsql-${QT_PV} )
+	ayatana? ( >=dev-libs/libindicate-qt-0.2.2 )
+	hunspell? ( app-text/hunspell )
+	kde? ( kde-base/kdelibs:4 )
+	mobility? (
+		dev-qt/qt-mobility[multimedia,feedback]
+		>=dev-qt/qtbearer-${QT_PV}
+	)
+	otr? (
+		>=net-libs/libotr-3.2.0
+		<net-libs/libotr-4.0.0
+	)
+	phonon? (
+		kde? ( media-libs/phonon[qt4] )
+		!kde? ( || ( >=dev-qt/qtphonon-${QT_PV} media-libs/phonon[qt4] ) )
+	)
+	plugman? (
+		dev-libs/libattica
+		app-arch/libarchive
+	)
+	qml? (
+		>=dev-qt/qtopengl-${QT_PV}
+	)
+	sdl? ( media-libs/sdl-mixer )
+	xscreensaver? ( x11-libs/libXScrnSaver )
+	webkit? ( >=dev-qt/qtwebkit-${QT_PV} )
+"
+DEPEND="${CDEPEND}
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+	kde? ( dev-util/automoc )
+"
+RDEPEND="${CDEPEND}
+	xmpp? ( app-crypt/qca:2[gpg] )
+	oscar? ( app-crypt/qca:2[openssl] )
+	kde-apps/oxygen-icons
+"
+
+DOCS=( AUTHORS INSTALL ChangeLog )
+PATCHES=(
+	"${FILESDIR}/${PN}-0.3.2-astral-migrate-qt-telepaphy.patch"
+)
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+	# fix automagic dep on libXScrnSaver
+	if ! use xscreensaver; then
+		sed -i -e '/XSS xscrnsaver/d' \
+			core/src/corelayers/idledetector/CMakeLists.txt || die
+	fi
+
+	# fix automagic dep on qt-mobility for jingle
+	if ! use jingle; then
+		sed -i -e '/find_package(QtMobility)/d' \
+			protocols/jabber/CMakeLists.txt || die
+	fi
+
+	# remove unwanted translations
+	local lang
+	for lang in ${LANGS}; do
+		use linguas_${lang} || rm -f translations/modules/*/${lang}.{po,ts}
+	done
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSYSTEM_JREEN=ON
+		$(cmake-utils_use_with doc DOXYGEN)
+		$(cmake-utils_use doc     QUTIM_GENERATE_DOCS)
+		$(cmake-utils_use sound   QUTIM_INSTALL_SOUND_THEME  )
+		$(cmake-utils_use tools   QUTIM_DEVELOPER_BUILD      )
+
+		# protocols
+		$(cmake-utils_use telepathy ASTRAL )
+		$(cmake-utils_use irc              )
+		$(cmake-utils_use xmpp JABBER      )
+		$(cmake-utils_use mrim             )
+		$(cmake-utils_use oscar            )
+		$(cmake-utils_use purple QUETZAL   )
+		$(cmake-utils_use vkontakte        )
+
+		# plugins
+		$(cmake-utils_use  webkit      ADIUMWEBVIEW      )
+		$(cmake-utils_use  crypt       AESCRYPTO         )
+		$(cmake-utils_use  antiboss    ANTIBOSS          )
+		$(cmake-utils_use  aspell      ASPELLER          )
+		$(cmake-utils_use  awn         AWN               )
+		$(cmake-utils_use  espionage   CONTROL           ) # Also requires -DENABLE_ESPIONAGE=ON (see bellow)
+		$(cmake-utils_use  dbus        DBUSAPI           )
+		$(cmake-utils_use  dbus        DBUSNOTIFICATIONS )
+		$(cmake-utils_use  histman     HISTMAN           )
+		$(cmake-utils_use  hunspell    HUNSPELLER        )
+		$(cmake-utils_use  ayatana     INDICATOR         )
+		$(cmake-utils_use  kde         KDEINTEGRATION    )
+		$(cmake-utils_use  qml         KINETICPOPUPS     )
+		$(cmake-utils_use  phonon      PHONONSOUND       )
+		$(cmake-utils_use  plugman     PLUGMAN           )
+		$(cmake-utils_use  debug       LOGGER            )
+		$(cmake-utils_use  mobility    MOBILITY          )
+		$(cmake-utils_use  dbus        NOWPLAYING        )
+		$(cmake-utils_use  otr         OFFTHERECORD      )
+		$(cmake-utils_use  qml         QMLCHAT           )
+		$(cmake-utils_use  sdl         SDLSOUND          )
+		$(cmake-utils_use_enable espionage               )
+		-DLINUXINTEGRATION=ON
+		-DDOCKTILE=OFF	# QtDockTile currenly supports only unity;
+						# consider to make it optional if it also support kde or whatever
+		-DUPDATER=OFF
+	)
+	# NOTE: Integration plugins are autodisabled:
+	# symbianintegration macintegration maemo5integration haikunotifications meegointegration winintegration
+
+	cmake-utils_src_configure
+}
+
+pkg_postinst () {
+	elog "Next qutim plugins are enabled by default:"
+	elog "  antispam autopaster autoreply birthdayreminder blogimprover clconf"
+	elog "  emoedit floaties formula highlighter imagepub massmessaging"
+	elog "  oldcontactdelegate qrcicons screenshoter scriptapi unreadmessageskeeper urlpreview"
+	elog "  weather webhistory yandexnarod"
+	elog "If you have strong reasons to make their build optional feel free to fill bugrepot."
+
+	if use espionage; then
+		ewarn "You have enabled the control (espionage) plugin. It may "
+		ewarn "deal negative security impact on the privacy of your client."
+	fi
+}


             reply	other threads:[~2015-08-24 10:21 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-24 10:21 Ian Delaney [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-18  9:43 [gentoo-commits] repo/gentoo:master commit in: net-im/qutim/ Patrice Clement
2016-04-19 20:45 Ian Stakenvicius
2016-04-25  7:59 Patrice Clement
2016-04-25  7:59 Patrice Clement
2016-11-10  0:06 Mike Gilbert
2017-02-06 14:55 Agostino Sarubbo
2017-08-30 14:05 Michael Palimaka
2017-09-09 12:55 Andreas Sturmlechner
2017-09-10  4:15 Michael Palimaka
2017-09-28 19:47 Andreas Sturmlechner
2017-10-03 11:22 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440411657.f7eb1c2cb7dfcdbc2243d44399e681e858efea2c.idella4@gentoo \
    --to=idella4@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox